package xn.xxp.room.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;

import xn.xxp.room.bean.DeviceConfig;


@Dao
public interface DeviceConfigDao {
    @Query("SELECT * FROM deviceconfig")
    DeviceConfig getDeviceConfig();

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(DeviceConfig deviceConfig);

    @Delete
    void delete(DeviceConfig deviceConfig);

    @Query("DELETE FROM deviceconfig")
    void clear();
}
